PickListUtils (RichFaces JSF components library 3.2.0.CR4 API)
Keywords: org.richfaces.picklist.util.PickListUtils class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.picklist.util
Class PickListUtils

    java.lang.Object
      org.richfaces.picklist.util.PickListUtils

    public class PickListUtils

extends java.lang.Object

Constructor Summary
`PickListUtils()`

Method Summary
`static javax.faces.convert.Converter` | `findUISelectManyConverter(javax.faces.context.FacesContext context, javax.faces.component.UISelectMany component)`
`static javax.faces.convert.Converter` | `findUISelectManyConverterFailsafe(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`static java.lang.String` | `getConvertedStringValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, javax.faces.convert.Converter converter, java.lang.Object value)`
`static java.util.List` | `getSelectValuesList(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, javax.faces.convert.Converter converter, javax.faces.component.UISelectMany uiSelectMany)`
`static java.util.List` | `getValuesList(javax.faces.component.UIComponent uiComponent, javax.faces.context.FacesContext facesContext, javax.faces.convert.Converter converter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PickListUtils

    public PickListUtils()

Method Detail

### findUISelectManyConverter

    public static javax.faces.convert.Converter findUISelectManyConverter(javax.faces.context.FacesContext context,
                                                                          javax.faces.component.UISelectMany component)

### findUISelectManyConverterFailsafe

    public static javax.faces.convert.Converter findUISelectManyConverterFailsafe(javax.faces.context.FacesContext facesContext,
                                                                                  javax.faces.component.UIComponent uiComponent)

### getValuesList

    public static java.util.List getValuesList(javax.faces.component.UIComponent uiComponent,
                                               javax.faces.context.FacesContext facesContext,
                                               javax.faces.convert.Converter converter)

### getSelectValuesList

    public static java.util.List getSelectValuesList(javax.faces.context.FacesContext context,
                                                     javax.faces.component.UIComponent component,
                                                     javax.faces.convert.Converter converter,
                                                     javax.faces.component.UISelectMany uiSelectMany)

### getConvertedStringValue

    public static java.lang.String getConvertedStringValue(javax.faces.context.FacesContext context,
                                                           javax.faces.component.UIComponent component,
                                                           javax.faces.convert.Converter converter,
                                                           java.lang.Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.